Purchase Autodialer subscription
This endpoint allows you to purchase an Autodialer subscription. After the operation is performed, our team will configure an Autodialer environment for you.
The id parameter used in this request refers to the unique Autodialer plan identifier. This ID is NOT arbitrary and must be obtained from the Autodialer API.
You can retrieve available plan IDs via GET /api/v1/autodialer/plans.
Each item in the response contains a unique id field, which should be used as the path parameter for this endpoint.
Path Parameters
Autodialer subscription plan unique id
1 <= valueHeader Parameters
Your API token
Request Body
application/json
Parameters for your Autodialer subscription
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/autodialer/plans/1/purchase" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}